commit: 70794d20b25f24bcd76a1399082462195bcdeffe
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Thu Jul 28 11:44:48 2022 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Jul 28 11:44:48 2022 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=70794d20
dev-python/dandi-schema: version bump
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/dandi-schema/dandi-schema-0.7.1.ebuild | 42 +++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/dev-python/dandi-schema/dandi-schema-0.7.1.ebuild
b/dev-python/dandi-schema/dandi-schema-0.7.1.ebuild
new file mode 100644
index 000000000..19a906634
--- /dev/null
+++ b/dev-python/dandi-schema/dandi-schema-0.7.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Schemata for DANDI archive project"
+HOMEPAGE="https://github.com/dandi/dandi-schema"
+SRC_URI="https://github.com/dandi/dandi-schema/archive/refs/tags/${PV}.tar.gz
-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ dev-python/python-email-validator[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.3.4-coverage.patch"
+)
+
+src_configure() {
+ echo "__version__ = '${PV}'" >> dandischema/_version.py
+}
+
+distutils_enable_tests pytest
+
+python_test() {
+ export DANDI_TESTS_NONETWORK=1
+ pushd dandischema || die
+ epytest tests
+ popd
+}